#pragma once
#include "Debugger.h"


class IndexBuffer
{
private:
	unsigned int m_renderer_ID; // OpenGL element's ID
	unsigned int m_count; // how many indices


public:
	IndexBuffer(const unsigned int* data, unsigned int count);
	~IndexBuffer();

	void Bind() const;
	void UnBind() const;

	inline unsigned int GetCount() const
	{
		return m_count;
	}
};